package org.gcube.application.cms.plugins;

import org.gcube.application.cms.plugins.model.PluginDescriptor;
import org.gcube.application.cms.plugins.reports.DocumentHandlingReport;
import org.gcube.application.cms.plugins.requests.BaseExecutionRequest;
import org.gcube.application.geoportal.common.model.profile.HandlerDeclaration;
import org.gcube.application.geoportal.common.model.profile.Profile;

import java.util.List;

public abstract class AbstractPlugin implements  Plugin{





    protected HandlerDeclaration getConfigurationFromProfile(Profile profile){
        return getMultipleDeclarationsFromProfile(profile).get(0);
    }
    protected List<HandlerDeclaration> getMultipleDeclarationsFromProfile(Profile p){
        return p.getHandlersMap().get(getDescriptor().getId());
    }
}
